Last Comment Bug 700685 - /tests/dom/indexedDB/test/test_deleteDatabase_interactions.html | Exited with code -2147483645 during test run (AbortIfOffMainThreadIfCheckFast)
: /tests/dom/indexedDB/test/test_deleteDatabase_interactions.html | Exited with...
Status: RESOLVED FIXED
[qa-]
: intermittent-failure
Product: Core
Classification: Components
Component: DOM: IndexedDB (show other bugs)
: unspecified
: All All
: -- normal (vote)
: ---
Assigned To: Kyle Huey [:khuey] (khuey@mozilla.com)
:
Mentors:
Depends on:
Blocks: 438871
  Show dependency treegraph
 
Reported: 2011-11-08 09:04 PST by Marco Bonardo [::mak] (Away 6-20 Aug)
Modified: 2012-11-25 19:31 PST (History)
2 users (show)
khuey: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
unaffected
fixed


Attachments
Patch (850 bytes, patch)
2011-11-08 09:21 PST, Kyle Huey [:khuey] (khuey@mozilla.com)
bent.mozilla: review+
lmandel: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description Marco Bonardo [::mak] (Away 6-20 Aug) 2011-11-08 09:04:48 PST
Looks like DeleteDatabaseHelper is being collected in the wrong thread.

https://tbpl.mozilla.org/php/getParsedLog.php?id=7283456&tree=Mozilla-Inbound
TEST-UNEXPECTED-FAIL | /tests/dom/indexedDB/test/test_deleteDatabase_interactions.html | Exited with code -2147483645 during test run
INFO | automation.py | Application ran for: 0:01:24.478000
INFO | automation.py | Reading PID log: c:\users\cltbld\appdata\local\temp\tmpqdzfpqpidlog
PROCESS-CRASH | /tests/dom/indexedDB/test/test_deleteDatabase_interactions.html | application crashed (minidump found)
Crash dump filename: c:\users\cltbld\appdata\local\temp\tmpmz3e6b\minidumps\9b2f2096-3917-4f92-aab8-97ddd4cc6bab.dmp
Operating system: Windows NT
                  6.1.7600 
CPU: x86
     GenuineIntel family 6 model 23 stepping 10
     2 CPUs

Crash reason:  EXCEPTION_BREAKPOINT
Crash address: 0x732d111b

Thread 34 (crashed)
 0  mozalloc.dll!mozalloc_abort(char const * const) [mozalloc_abort.cpp:052bf8bd491e : 77 + 0x0]
    eip = 0x732d111b   esp = 0x1215f708   ebp = 0x1215f7a8   ebx = 0x00000040
    esi = 0x7332e457   edi = 0x7336a392   eax = 0x00000000   ecx = 0x7336a4c8
    edx = 0x00000003   efl = 0x00000202
    Found by: given as instruction pointer in context
 1  xul.dll!NS_DebugBreak_P [nsDebugImpl.cpp:052bf8bd491e : 345 + 0x9]
    eip = 0x6cc9b5e1   esp = 0x1215f714   ebp = 0x1215f7a8
    Found by: call frame info
 2  xul.dll!AbortIfOffMainThreadIfCheckFast [nsCycleCollector.cpp:052bf8bd491e : 1278 + 0x17]
    eip = 0x6cc9de7a   esp = 0x1215fb38   ebp = 0x1215fbcc   ebx = 0x04731654
    Found by: call frame info
 3  xul.dll!nsCycleCollector::Suspect2(nsISupports *) [nsCycleCollector.cpp:052bf8bd491e : 2491 + 0x4]
    eip = 0x6cc9e660   esp = 0x1215fb50   ebp = 0x1215fbcc
    Found by: call frame info
 4  xul.dll!NS_CycleCollectorSuspect2_P [nsCycleCollector.cpp:052bf8bd491e : 3420 + 0x8]
    eip = 0x6cc9e719   esp = 0x1215fb58   ebp = 0x1215fbcc
    Found by: call frame info
 5  xul.dll!nsCycleCollectingAutoRefCnt::decr(nsISupports *) [nsISupportsImpl.h:052bf8bd491e : 211 + 0xa]
    eip = 0x6c596096   esp = 0x1215fb60   ebp = 0x1215fbcc
    Found by: call frame info
 6  xul.dll!nsDOMEventTargetHelper::Release() [nsDOMEventTargetHelper.cpp:052bf8bd491e : 89 + 0x10]
    eip = 0x6c7929b6   esp = 0x1215fb74   ebp = 0x1215fbcc   ebx = 0x00000000
    Found by: call frame info
 7  xul.dll!`anonymous namespace'::DeleteDatabaseHelper::~DeleteDatabaseHelper() + 0x1f
    eip = 0x6c89646d   esp = 0x1215fb84   ebp = 0x1215fbcc
    Found by: call frame info
Comment 1 Kyle Huey [:khuey] (khuey@mozilla.com) 2011-11-08 09:21:04 PST
Created attachment 572849 [details] [diff] [review]
Patch

This should do it, I think.  Rebuilding now.
Comment 2 Ben Turner (not reading bugmail, use the needinfo flag!) 2011-11-08 09:32:34 PST
Comment on attachment 572849 [details] [diff] [review]
Patch

r=me if you swap the order of mOpenHelper and mOpenRequest in the initializer list so that they match the order in which they're declared.
Comment 3 Kyle Huey [:khuey] (khuey@mozilla.com) 2011-11-08 09:54:27 PST
Comment on attachment 572849 [details] [diff] [review]
Patch

We're going to need this on Aurora.
Comment 4 Kyle Huey [:khuey] (khuey@mozilla.com) 2011-11-08 09:55:02 PST
https://hg.mozilla.org/mozilla-central/rev/8d2e372e931d
Comment 5 Kyle Huey [:khuey] (khuey@mozilla.com) 2011-11-10 07:27:41 PST
http://hg.mozilla.org/releases/mozilla-aurora/rev/3e2a9d6037dc
Comment 6 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2011-12-28 14:19:13 PST
Marking qa- as I don't think this is something QA needs to verify. Please set to qa+ if that is not the case.

Note You need to log in before you can comment on or make changes to this bug.